<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->


<div class="modal-header">
  <h4
    class="modal-title overflow-hidden text-overflow-ellipsis text-nowrap"
    id="modal-basic-title"
    [innerText]="messages.THIRD_PARTY_LICENSE_BLOC_TITLE">
  </h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.close()">
  </button>
</div>
<div class="modal-body modal-body-height overflow-scroll">
  <p class="font-monospace" [innerText]="license"></p>
</div>

<div class="modal-footer">
  <button
    ls-button
    [icon]="commonIcons.CLOSE_ICON"
    [text]="messages.CLOSE"
    (click)="activeModal.close()">
  </button>
</div>
